---
title: "Delete event subscription (basic auth)"
url: "https://docs.signnow.com/docs/basic-auth/operations/delete-event-subscription"
type: "endpoint"
section: "basic-auth"
slug: "basic-auth/operations/delete-event-subscription"
method: "DELETE"
path: "/v2/events/{event_subscription_id}"
operation_id: "delete-event-subscription"
authorization: "basic"
---

# Delete event subscription (basic auth)

`DELETE /v2/events/{event_subscription_id}`

This endpoint allows API users to unsubscribe an external service (callback_url) from specific events of a user or document. This request uses Basic authorization. For the request with Bearer authorization, see [Delete event subscription (bearer auth)](/docs/manage-event-subscriptions/operations/delete-v2-event-subscriptions-subscription_id).

## Authorization

basic

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `event_subscription_id` | string | Yes |  |

## Responses

### 204

### 403

**For basic auth:**

Application id which is used for request differs from application id created given event subscription.

**For bearer auth:**

The event subscription was created by another user

**Example** (`application/json`)

```json
{
  "message": "Unsubscription from event is not allowed"
}
```

### 404

Value of "uniqueEventId" doesn't exist in database

**Example** (`application/json`)

```json
{
  "message": "UserEventSubscription `uniqueEventId` not found"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X DELETE \
  "https://api.signnow.com/v2/events/{event_subscription_id}" \
  -H "Authorization: Basic $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/basic-auth/operations/delete-event-subscription*
